/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * Authors:
 *  Nicolas d'Offay <nicolas.doffay@canonical.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "core/gallery-manager.h"
#include "core/command-line-parser.h"

GalleryManager* GalleryManager::gallery_mgr_ = NULL;

GalleryManager::GalleryManager(const QString&, const QDir& pictures_dir, const bool)
    : collections_initialised(false),
      resource_(NULL),
      gallery_standard_image_provider_(NULL),
      gallery_thumbnail_image_provider_(NULL),
      database_(NULL),
      default_template_(NULL),
      media_collection_(NULL),
      album_collection_(NULL),
      event_collection_(NULL),
      preview_manager_(NULL),
      pictures_dir_(pictures_dir)
{
}

GalleryManager::~GalleryManager()
{
    delete gallery_mgr_;
    gallery_mgr_ = NULL;
}

GalleryManager* GalleryManager::instance(const QString& application_path_dir, const QDir& pictures_dir, const bool)
{
    if (!gallery_mgr_)
        gallery_mgr_ = new GalleryManager(application_path_dir, pictures_dir, false);

    return gallery_mgr_;
}
